Fix how version number is saved/retrieved. Version is now stored in
[monkeysphere.git] / src / monkeysphere
index cac9a02399bc086bf64dcbbb6c172f3c172fe087..6db4827c15a5ea8fc9248cf2a4c1e0f9e6cd5d79 100755 (executable)
@@ -12,6 +12,8 @@
 # or later.
 
 ########################################################################
+set -e
+
 PGRM=$(basename $0)
 
 SYSSHAREDIR=${MONKEYSPHERE_SYSSHAREDIR:-"/usr/share/monkeysphere"}
@@ -27,9 +29,6 @@ DATE=$(date -u '+%FT%T')
 # unset some environment variables that could screw things up
 unset GREP_OPTIONS
 
-# default return code
-RETURN=0
-
 # set the file creation mask to be only owner rw
 umask 077
 
@@ -45,7 +44,6 @@ Monkeysphere client tool.
 subcommands:
  update-known_hosts (k) [HOST]...    update known_hosts file
  update-authorized_keys (a)          update authorized_keys file
- import-subkey (i) FILE [KEYID]      import existing ssh key as gpg subkey
  gen-subkey (g) [KEYID]              generate an authentication subkey
    --length (-l) BITS                  key length in bits (2048)
  ssh-proxycommand                    monkeysphere ssh ProxyCommand
@@ -88,9 +86,9 @@ check_gpg_sec_key_id() {
            echo "$gpgSecOut" | cut -d: -f5
            ;;
        *)
-           echo "Multiple primary secret keys found:" | log error
-           echo "$gpgSecOut" | cut -d: -f5 | log error
-           echo "Please specify which primary key to use." | log error
+           echo "Multiple primary secret keys found:"
+           echo "$gpgSecOut" | cut -d: -f5
+           echo "Please specify which primary key to use."
            failure
            ;;
     esac
@@ -124,7 +122,7 @@ check_gpg_authentication_subkey() {
        fi
        # if authentication key is valid, prompt to continue
        if [ "$validity" = 'u' ] ; then
-           echo "A valid authentication key already exists for primary key '$keyID'."
+           echo "A valid authentication key already exists for primary key '$keyID'." 1>&2
            if [ "$PROMPT" = "true" ] ; then
                read -p "Are you sure you would like to generate another one? (y/N) " OK; OK=${OK:N}
                if [ "${OK/y/Y}" != 'Y' ] ; then
@@ -204,13 +202,11 @@ case $COMMAND in
        # those hosts
        if [ "$1" ] ; then
            update_known_hosts "$@"
-           RETURN="$?"
 
        # otherwise, if no hosts are specified, process every host
        # in the user's known_hosts file
        else
            process_known_hosts
-           RETURN="$?"
        fi
        ;;
 
@@ -220,7 +216,6 @@ case $COMMAND in
 
        # process authorized_user_ids file
        process_authorized_user_ids "$AUTHORIZED_USER_IDS"
-       RETURN="$?"
        ;;
 
     'import-subkey'|'i')
@@ -244,7 +239,7 @@ case $COMMAND in
        ;;
 
     'version'|'v')
-       echo "$VERSION"
+       version
        ;;
 
     '--help'|'help'|'-h'|'h'|'?')
@@ -256,5 +251,3 @@ case $COMMAND in
 Type '$PGRM help' for usage."
         ;;
 esac
-
-exit "$RETURN"